IBM HTTP Server 7.0.0.0 <= 7.0.0.45 / 8.0.0.0 <= 8.0.0.15 / 8.5.0.0 < 8.5.5.18 / 9.0.0.0 < 9.0.5.4 多個弱點 (6191631)

medium Nessus Plugin ID 144070
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Web 伺服器受到多個弱點影響。

描述

遠端主機上執行的 IBM HTTP Server 版本受到與 Apache HTTP Server 有關的多個弱點影響,具體如下:

- 在 Apache HTTP Server 2.4.0 至 2.4.41 中,以 mod_rewrite 設定的重新導向 (原用於自我參照) 可能會遭到編碼的新行誘騙,而重新導向至要求 URL 內的非預期 URL。(CVE-2020-1927)

- 在 Apache HTTP Server 2.4.0 至 2.4.41 中,mod_proxy_ftp 在代理惡意 FTP 伺服器時可能使用未初始化的記憶體。(CVE-2020-1934)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級至 IBM HTTP Server 8.5.5.18、9.0.5.4 或更新版本。或者,升級版本至過渡期修正所需的最低 Fix Pack 等級,然後套用過渡期修正 PH21992。

另請參閱

https://www.ibm.com/support/pages/node/6191631

Plugin 詳細資訊

嚴重性: Medium

ID: 144070

檔案名稱: ibm_http_server_6191631.nasl

版本: 1.3

類型: local

代理程式: unix

系列: Web Servers

已發布: 2020/12/10

已更新: 2021/1/25

相依性: ibm_http_server_nix_installed.nbin

風險資訊

CVSS 評分資料來源: CVE-2020-1927

VPR

風險因素: Low

分數: 3.8

CVSS v2

風險因素: Medium

基本分數: 5.8

時間分數: 4.3

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:N

時間媒介: E:U/RL:OF/RC:C

CVSS v3

風險因素: Medium

基本分數: 6.1

時間分數: 5.3

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/a:ibm:http_server

必要的 KB 項目: installed_sw/IBM HTTP Server (IHS)

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2020/4/15

弱點發布日期: 2020/4/1

參考資訊

CVE: CVE-2020-1927, CVE-2020-1934